<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_rk_interface_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_84f42f204b822dde8cb4d8a231b19254.html">cfd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">cfd_rk_interface_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacecfd__rk__interface__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__interface__m.html">cfd_rk_interface_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ac69b6cec062fb5345f573e92653499f6"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__interface__m.html#ac69b6cec062fb5345f573e92653499f6">cfd_rk_interface_m::cfd_rk_interface_register</a> (cfd)</td></tr>
<tr class="separator:ac69b6cec062fb5345f573e92653499f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd74b7ae62da1bf0eacea5878630ddc"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__interface__m.html#a4bd74b7ae62da1bf0eacea5878630ddc">cfd_rk_interface_m::cfd_rk_interface_field_init</a> (cfd)</td></tr>
<tr class="separator:a4bd74b7ae62da1bf0eacea5878630ddc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93d420ea6dde259702ff67558b0e1dd2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__rk__interface__m_8f90.html#a93d420ea6dde259702ff67558b0e1dd2">init_solver</a> ()</td></tr>
<tr class="separator:a93d420ea6dde259702ff67558b0e1dd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad6fe1e95f7d91d3f2fbd2a8fe2869eb1"><td class="memItemLeft" align="right" valign="top">logical, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__interface__m.html#ad6fe1e95f7d91d3f2fbd2a8fe2869eb1">cfd_rk_interface_m::use_colloc_coupling</a> = .FALSE.</td></tr>
<tr class="separator:ad6fe1e95f7d91d3f2fbd2a8fe2869eb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074bab1deed10633a10dc4d66ab0f11e"><td class="memItemLeft" align="right" valign="top">logical, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__interface__m.html#a074bab1deed10633a10dc4d66ab0f11e">cfd_rk_interface_m::use_colloc_coupling_ib</a> = .FALSE.</td></tr>
<tr class="separator:a074bab1deed10633a10dc4d66ab0f11e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b3a1f765e92567f36bfda2a1f1d663b"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__interface__m.html#a4b3a1f765e92567f36bfda2a1f1d663b">cfd_rk_interface_m::scheme_colloc_coupling</a> = 'N/A'</td></tr>
<tr class="separator:a4b3a1f765e92567f36bfda2a1f1d663b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a740ed9b6da1b41dee67c2d84df7be868"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__interface__m.html#a740ed9b6da1b41dee67c2d84df7be868">cfd_rk_interface_m::icv_di</a> =&gt; null()</td></tr>
<tr class="separator:a740ed9b6da1b41dee67c2d84df7be868"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a93d420ea6dde259702ff67558b0e1dd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93d420ea6dde259702ff67558b0e1dd2">&#9670;&nbsp;</a></span>init_solver()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cfd_rk_interface_field_init::init_solver </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__rk__interface__m.html#a4b3a1f765e92567f36bfda2a1f1d663b">cfd_rk_interface_m::scheme_colloc_coupling</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__rk__interface__m_8f90_a93d420ea6dde259702ff67558b0e1dd2_icgraph.png" border="0" usemap="#cfd__rk__interface__m_8f90_a93d420ea6dde259702ff67558b0e1dd2_icgraph" alt=""/></div>
<map name="cfd__rk__interface__m_8f90_a93d420ea6dde259702ff67558b0e1dd2_icgraph" id="cfd__rk__interface__m_8f90_a93d420ea6dde259702ff67558b0e1dd2_icgraph">
<area shape="rect" id="node2" href="namespacecfd__rk__interface__m.html#a4bd74b7ae62da1bf0eacea5878630ddc" title="cfd_rk_interface_m\l::cfd_rk_interface_field_init" alt="" coords="135,5,313,47"/>
<area shape="rect" id="node3" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="361,5,520,47"/>
<area shape="rect" id="node4" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="568,5,721,47"/>
<area shape="rect" id="node5" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="769,13,856,39"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:48 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
